cascading.flow.planner.iso.expression

## Enum ElementCapture

- java.lang.Object
- - java.lang.Enum<ElementCapture>
  - - cascading.flow.planner.iso.expression.ElementCapture

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<ElementCapture>

      public enum ElementCapture
      extends java.lang.Enum<ElementCapture>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `Include`
    `Primary` Becomes the anchor at which a match will rotate during partitioning.
    `Secondary` Will be re-captured during partitioning where the Primary acts as an anchor at which the matching rotates

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ElementCapture` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static ElementCapture[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### Include

          public static final ElementCapture Include

    - #### Primary

          public static final ElementCapture Primary

      Becomes the anchor at which a match will rotate during partitioning.

    - #### Secondary

          public static final ElementCapture Secondary

      Will be re-captured during partitioning where the Primary acts as an anchor at which the matching rotates

  - ### Method Detail

    - #### values

          public static ElementCapture[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ElementCapture c : ElementCapture.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ElementCapture valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

Copyright © 2007-2015 Xplenty, Inc. All Rights Reserved.